<template>
    <form class="container" v-on:submit.prevent="submit()">
        <div class="col-12">
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label>Materiel
                            <span>*</span>
                        </label>
                        <input class="form-control" type="text" name="materiel" v-model="resource.materiel" required>
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Reference
                            <span>*</span>
                        </label>
                        <input class="form-control" type="text" name="reference" v-model="resource.reference" required>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <button class="btn btn-primary" type="submit"> Sauvegarder </button>
                    <button class="btn btn-secondary" type="button" v-on:click="back()"> Retour </button>
                    <button class="btn btn-danger" type="button" v-on:click="remove()"> Supprimer </button>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
export default {
    props: ['resource'],
    methods: {
        submit: function () {
            this.$emit("submit");
        },
        back: function () {
            this.$emit("back");
        },
        remove: function () {
            this.$emit("remove");
        }
    }
}
</script>

<style scoped>
span {
    color: red;
}

.wider {
    width: 30px;
    height: 30px;
}
</style>
